Bug 1289816 - (CVE-2015-8567, CVE-2015-8568) CVE-2015-8567 CVE-2015-8568 Qemu: net: vmxnet3: host memory leakage
CVE-2015-8567 CVE-2015-8568 Qemu: net: vmxnet3: host memory leakage
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151202,reported=2...
: Security
: 1272156 (view as bug list)
Depends On: 1289817 1289818
Blocks: 1272163 1288109
  Show dependency treegraph
 
Reported: 2015-12-08 22:13 EST by Prasad J Pandit
Modified: 2017-07-31 19:35 EDT (History)
43 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A memory-leak flaw was found in the QEMU emulator built with VMWARE VMXNET3 paravirtual NIC emulator support. The flaw occurred when a guest repeatedly tried to activate the VMXNET3 device. A privileged guest attacker could use this flaw to leak host memory, resulting in denial of service on the host.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2015-12-08 22:13:35 EST
Qemu emulator built with a VMWARE VMXNET3 paravirtual NIC emulator support is
vulnerable to a memory leakage flaw. It occurs when a guest repeatedly tries
to activate the vmxnet3 device.

A privileged guest user could use this flaw to leak host memory, resulting
in DoS on the host.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2015-12/msg02299.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/12/15/10
Comment 1 Prasad J Pandit 2015-12-08 22:16:32 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1289817]
Comment 2 Prasad J Pandit 2015-12-08 22:16:52 EST
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1289818]
Comment 3 Prasad J Pandit 2015-12-08 22:52:05 EST
Statement: 

This issue does not affect the versions of the kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue does not affect the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6, and the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue affects the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 7.

This issue affects the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.
Comment 4 Prasad J Pandit 2015-12-08 23:14:37 EST
Acknowledgements:

This issue was discovered by Qinghao Tang of QIHU 360 Marvel Team.
Comment 6 Prasad J Pandit 2015-12-09 01:58:21 EST
*** Bug 1272156 has been marked as a duplicate of this bug. ***
Comment 7 Fedora Update System 2016-01-23 22:26:16 EST
qemu-2.4.1-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-01-28 13:25:47 EST
xen-4.5.2-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-02-01 01:30:46 EST
xen-4.5.2-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-02-01 19:52:09 EST
qemu-2.3.1-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.